com.google.gwt.user.cellview.client

## Class CellBasedWidgetImplStandard

- java.lang.Object
- - com.google.gwt.user.cellview.client.CellBasedWidgetImpl
  - - com.google.gwt.user.cellview.client.CellBasedWidgetImplStandard

Direct Known Subclasses:
  CellBasedWidgetImplStandardBase

    class CellBasedWidgetImplStandard
    extends CellBasedWidgetImpl

Standard implementation used by most cell based widgets.

### Field Summary

### Fields inherited from class com.google.gwt.user.cellview.client.CellBasedWidgetImpl

`focusableTypes`

### Constructor Summary

Constructors
Constructor and Description
`CellBasedWidgetImplStandard()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `sinkEvent(Widget widget, java.lang.String typeName)` Get the event bits to sink for an event type.

### Methods inherited from class com.google.gwt.user.cellview.client.CellBasedWidgetImpl

`get, isFocusable, onBrowserEvent, processHtml, resetFocus, sinkEvents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CellBasedWidgetImplStandard

    public CellBasedWidgetImplStandard()

### Method Detail

#### sinkEvent

    protected int sinkEvent(Widget widget,
                            java.lang.String typeName)

Description copied from class: `CellBasedWidgetImpl`
Get the event bits to sink for an event type.

Overrides:
  `sinkEvent` in class `CellBasedWidgetImpl`
Parameters:
  `widget` - the `Widget` that will handle the events
  `typeName` - the name of the event to sink
Returns:
  the event bits to sink, or -1 if no events to sink